> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GitHub status



## OpenAPI

````yaml api-reference/openapi.account.json GET /github/status
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /github/status:
    get:
      tags:
        - github
      summary: Get GitHub status
      operationId: getGithubStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubStatus'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    GitHubStatus:
      discriminator:
        mapping:
          connected: '#/components/schemas/ConnectedGitHubStatus'
          disconnected: '#/components/schemas/DisconnectedGitHubStatus'
          reauthorization_required: '#/components/schemas/ReauthorizationRequiredGitHubStatus'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/DisconnectedGitHubStatus'
        - $ref: '#/components/schemas/ConnectedGitHubStatus'
        - $ref: '#/components/schemas/ReauthorizationRequiredGitHubStatus'
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ConnectedGitHubStatus:
      additionalProperties: false
      properties:
        identity:
          $ref: '#/components/schemas/GitHubUserIdentity'
        installations:
          items:
            $ref: '#/components/schemas/GitHubInstallation'
          type: array
        kind:
          enum:
            - connected
          type: string
      required:
        - kind
        - installations
        - identity
      type: object
    DisconnectedGitHubStatus:
      additionalProperties: false
      properties:
        installations:
          items:
            $ref: '#/components/schemas/GitHubInstallation'
          maxItems: 0
          type: array
        kind:
          enum:
            - disconnected
          type: string
      required:
        - kind
        - installations
      type: object
    ReauthorizationRequiredGitHubStatus:
      additionalProperties: false
      properties:
        identity:
          $ref: '#/components/schemas/GitHubUserIdentity'
        installations:
          items:
            $ref: '#/components/schemas/GitHubInstallation'
          type: array
        kind:
          enum:
            - reauthorization_required
          type: string
      required:
        - kind
        - installations
        - identity
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    GitHubUserIdentity:
      additionalProperties: false
      properties:
        github_user_id:
          format: int64
          minimum: 1
          type: integer
        login:
          minLength: 1
          pattern: ^\S(?:.*\S)?$
          type: string
      required:
        - github_user_id
        - login
      type: object
    GitHubInstallation:
      additionalProperties: false
      properties:
        account_login:
          minLength: 1
          type: string
        account_type:
          minLength: 1
          type: string
        connected_at:
          minLength: 1
          type: string
        installation_id:
          format: int64
          minimum: 1
          type: integer
      required:
        - installation_id
        - account_login
        - account_type
        - connected_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.